Module SQL_人事系統管理
    '---------------------人事資料表-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_人事資料表_清單()
        ConnOpen() : SQL1 = "SELECT 流水號, 舊編 AS 編號, 到職日, 姓名, 性別, 身分證, 住址, 電話, 手機, 職務, 備註,薪資帳號 FROM 人事資料表 ORDER BY 舊編" : CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_職稱清單_下拉清單()
        ConnOpen() : SQL1 = "SELECT 職稱, 級別 FROM 職稱清單 WHERE (級別 NOT LIKE '00') ORDER BY 級別" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_人事資料表_流水號_最後一筆資料()
        ConnOpen() : SQL1 = "SELECT TOP (1) 流水號 FROM 人事資料表 ORDER BY 流水號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_人事資料表_編號_最後一筆資料()
        ConnOpen() : SQL1 = "SELECT TOP (1) 舊編 FROM 人事資料表 WHERE (舊編 NOT LIKE 'Y') AND (舊編 NOT LIKE 'B') ORDER BY 舊編 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_人事資料表_新增()
        ConnOpen()
        SQL1 = "INSERT INTO 人事資料表 (流水號, 舊編, 到職日, 姓名, 性別, 身分證, 住址, 電話, 手機, 職務, 備註,薪資帳號) 
                VALUES (N'" & 人事資料表.流水號_tb.Text & "', N'" & 人事資料表.編號_tb.Text & "', N'" & DTP & "', N'', N'', N'', N'', N'', N'', N'', N'',N'" & 人事資料表.薪資帳號_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_人事資料表_修改()
        ConnOpen()
        SQL1 = "UPDATE 人事資料表 SET 到職日 = N'" & DTP & "', 姓名 = N'" & 人事資料表.姓名_tb.Text & "', 性別 = N'" & 人事資料表.性別_cb.Text & "', 身分證 = N'" & 人事資料表.身分證_tb.Text &
                                            "', 住址 = N'" & 人事資料表.住址_tb.Text & "', 電話 = N'" & 人事資料表.電話_tb.Text & "', 手機 = N'" & 人事資料表.手機_tb.Text &
                                            "', 職務 = N'" & 人事資料表.職務_cb.Text & "', 備註 = N'" & 人事資料表.備註_tb.Text & "', 薪資帳號  = N'" & 人事資料表.薪資帳號_tb.Text & "'
                        WHERE (流水號 = N'" & 人事資料表.流水號_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_人事資料表_刪除()
        ConnOpen() : SQL1 = "DELETE 人事資料表 WHERE (流水號 = N'" & 人事資料表.流水號_tb.Text & "')" : CmdSet_For_dr()
    End Sub
    '---------------------人員ID卡系統配置設定-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_人員ID卡系統配置設定_清單()
        ConnOpen()
        If Val(登入人級別) <= 2 Then
            SQL1 = "SELECT 姓名, 帳號, 職稱, 級別, ID卡號 FROM 使用者權限管理表 ORDER BY 級別"
        Else
            SQL1 = "SELECT 姓名, 帳號, 職稱, 級別, ID卡號 FROM 使用者權限管理表 WHERE 級別 NOT LIKE '00' AND 級別 NOT LIKE '01' AND 級別 NOT LIKE '02' ORDER BY 級別"
        End If
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_人員ID卡系統配置設定_配卡()
        ConnOpen()
        SQL1 = "UPDATE 使用者權限管理表 SET ID卡號 = N'" & 人員ID卡系統配置設定.ID卡號_tb.Text & "' 
                WHERE (帳號 = N'" & 人員ID卡系統配置設定.帳號_tb.Text & "') AND (姓名 = N'" & 人員ID卡系統配置設定.姓名_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
End Module
